Index: themes/ductile/tpl/404.html
===================================================================
--- themes/ductile/tpl/404.html	(revision 609)
+++ themes/ductile/tpl/404.html	(revision 609)
@@ -0,0 +1,68 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{{tpl:BlogLanguage}}" lang="{{tpl:BlogLanguage}}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+  <meta name="ROBOTS" content="{{tpl:BlogMetaRobots robots="NOINDEX,NOARCHIVE"}}" />
+  
+  <title>{{tpl:lang Document not found}} - {{tpl:BlogName encode_html="1"}}</title>
+  <meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
+  
+  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+  <meta name="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Document not found}} - {{tpl:BlogName encode_html="1"}}" />
+  <meta name="dc.language" content="{{tpl:BlogLanguage}}" />
+  <meta name="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="dc.type" content="text" />
+  <meta name="dc.format" content="text/html" />
+  
+  <link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
+  <link rel="contents" title="{{tpl:lang Archives}}" href="{{tpl:BlogArchiveURL}}" />
+  <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+  
+  {{tpl:include src="_head.html"}}
+</head>
+
+<body class="dc-404">
+<div id="page">
+{{tpl:include src="_top.html"}}
+
+<div id="wrapper">
+
+<div id="main">
+  <div id="content">
+  
+  <div id="content-info">
+    <h2>{{tpl:lang Document not found}}</h2>
+    <p>L'adresse est erronée ou la page a été supprimée.</p>
+  </div>
+  
+  <div class="content-inner">
+		<h3>{{tpl:lang Suggestions:}}</h3>
+		<ul>
+			<li><a href="{{tpl:BlogURL}}">{{tpl:lang Go to homepage}}</a></li>
+			<li><a href="#search">{{tpl:lang Use search form}}</a></li>
+			<li><a href="{{tpl:BlogURL}}archive">{{tpl:lang Explore archives}}</a></li>
+		</ul>
+  </div>
+  
+  </div>
+</div>
+
+<div id="sidebar">
+  <div id="blognav">
+    {{tpl:Widgets type="nav"}}
+  </div> <!-- End #blognav -->
+  
+  <div id="blogextra">
+    {{tpl:Widgets type="extra"}}
+  </div> <!-- End #blogextra -->
+</div>
+
+</div> <!-- End #wrapper -->
+
+{{tpl:include src="_footer.html"}}
+</div> <!-- End #page -->
+</body>
+</html>
Index: themes/ductile/tpl/_simple-entry.html
===================================================================
--- themes/ductile/tpl/_simple-entry.html	(revision 609)
+++ themes/ductile/tpl/_simple-entry.html	(revision 609)
@@ -0,0 +1,174 @@
+<div id="p{{tpl:EntryID}}" class="post simple">
+  <h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
+
+	<div class="post-attr">
+    <p class="post-info">
+    	<span class="post-author">{{tpl:lang By}} {{tpl:EntryAuthorLink}}, </span>
+    	<span class="post-date">{{tpl:EntryDate}}. </span>
+	    <span class="permalink"><a href="{{tpl:EntryURL}}">{{tpl:lang Permalink}}</a></span>
+    	<tpl:EntryIf has_category="1">
+			<tpl:EntryCategoriesBreadcrumb>
+			  <span class="post-breadcrumb-cat"><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a></span> ›
+			</tpl:EntryCategoriesBreadcrumb>
+    		<span class="post-cat"><a href="{{tpl:EntryCategoryURL}}">{{tpl:EntryCategory encode_html="1"}}</a></span>
+    	</tpl:EntryIf>
+    </p>
+    
+    <tpl:EntryTags>
+    <tpl:TagsHeader><p class="post-tags"></tpl:TagsHeader>
+    <a href="{{tpl:TagURL}}">{{tpl:TagID}} </a>
+    <tpl:TagsFooter></p></tpl:TagsFooter>
+    </tpl:EntryTags>
+	</div>    
+  
+  <!-- # --BEHAVIOR-- publicEntryBeforeContent -->
+  {{tpl:SysBehavior behavior="publicEntryBeforeContent"}}
+  
+  <!-- # Entry with an excerpt -->
+  <tpl:EntryIf extended="1">
+    <div class="post-excerpt">{{tpl:EntryExcerpt}}</div>
+  </tpl:EntryIf>
+  
+  <div class="post-content">{{tpl:EntryContent}}</div>
+  
+  <!-- # --BEHAVIOR-- publicEntryAfterContent -->
+  {{tpl:SysBehavior behavior="publicEntryAfterContent"}}
+</div>
+
+<!-- # Attachments -->
+<tpl:Attachments>
+  <tpl:AttachmentsHeader>
+    <div id="attachments">
+    <h3>{{tpl:lang Attachments}}</h3>
+    <ul>
+  </tpl:AttachmentsHeader>
+    <li class="{{tpl:AttachmentType}}">
+      <tpl:AttachmentIf is_mp3="1">
+        {{tpl:include src="_mp3_player.html"/}} - 
+      </tpl:AttachmentIf>
+      <tpl:AttachmentIf is_flv="1">
+     {{tpl:include src="_flv_player.html"/}}
+   </tpl:AttachmentIf>
+   <tpl:AttachmentIf is_flv="0">
+   	<a href="{{tpl:AttachmentURL}}"
+	title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
+      </tpl:AttachmentIf>
+    </li>
+  <tpl:AttachmentsFooter>
+    </ul>
+    </div>
+  </tpl:AttachmentsFooter>
+</tpl:Attachments>
+
+<!-- # Comments -->
+<tpl:EntryIf show_comments="1">
+  <tpl:Comments with_pings="1">
+  <tpl:CommentsHeader>
+    <div id="comments">
+      <h3>{{tpl:EntryCommentCount count_all="1" one="%s" more="%s"}} {{tpl:lang reactions}}</h3>
+    <ul>
+  </tpl:CommentsHeader>
+		<tpl:CommentIf is_ping="0">
+    <li id="c{{tpl:CommentID}}" class="comment {{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}">
+		</tpl:CommentIf>
+		<tpl:CommentIf is_ping="1">
+    <li id="c{{tpl:PingID}}" class="ping {{tpl:PingIfOdd}} {{tpl:PingIfFirst}}">
+		</tpl:CommentIf>
+			<p class="comment-info"><a href="#c{{tpl:CommentID}}" class="comment-number">{{tpl:CommentOrderNumber}}</a>
+				{{tpl:lang From}} {{tpl:CommentAuthorLink}} - {{tpl:CommentDate format="%d"}}/{{tpl:CommentDate format="%m"}}/{{tpl:CommentDate format="%Y"}}, {{tpl:CommentTime}}
+			</p>     
+      <div class="comment-content">
+	      <!-- # --BEHAVIOR-- publicCommentBeforeContent -->
+	      {{tpl:SysBehavior behavior="publicCommentBeforeContent"}}
+    
+	      {{tpl:CommentContent}}
+    
+	      <!-- # --BEHAVIOR-- publicCommentAfterContent -->
+	      {{tpl:SysBehavior behavior="publicCommentAfterContent"}}
+      </div>
+		</li>
+  <tpl:CommentsFooter>
+    </ul>
+    </div>
+  </tpl:CommentsFooter>
+  </tpl:Comments>
+</tpl:EntryIf>
+
+<tpl:EntryIf operator="or" comments_active="1" pings_active="1">
+<p id="comments-feed"><a class="feed" href="{{tpl:BlogFeedURL type="atom"}}/comments/{{tpl:EntryID}}"
+title="{{tpl:lang This post's comments Atom feed}}">{{tpl:lang This post's comments feed}}</a></p>
+</tpl:EntryIf>
+
+<tpl:EntryIf comments_active="1">    
+  <tpl:SysIfFormError>
+    <p class="error" id="pr">{{tpl:SysFormError}}</p>
+  </tpl:SysIfFormError>
+  
+  <tpl:SysIfCommentPublished>
+    <p class="message" id="pr">{{tpl:lang Your comment has been published.}}</p>
+  </tpl:SysIfCommentPublished>
+  
+  <tpl:SysIfCommentPending>
+    <p class="message" id="pr">{{tpl:lang Your comment has been submitted and
+    will be reviewed for publication.}}</p>
+  </tpl:SysIfCommentPending>
+  
+  <!-- # Comment form -->
+  <form action="{{tpl:EntryURL}}#pr" method="post" id="comment-form">
+    <tpl:IfCommentPreview>
+      <div id="pr">
+        <h3>{{tpl:lang Your comment}}</h3>
+        <dl>
+          <dd class="comment-preview">{{tpl:CommentPreviewContent}}</dd>
+        </dl>
+        <p class="buttons"><input type="submit" class="submit" value="{{tpl:lang send}}" /></p>
+      </div>
+    </tpl:IfCommentPreview>
+    
+    <h3>{{tpl:lang Add a comment}}</h3>
+    <fieldset>
+      <!-- # --BEHAVIOR-- publicCommentFormBeforeContent -->
+      {{tpl:SysBehavior behavior="publicCommentFormBeforeContent"}}
+      
+      <p class="field"><label for="c_name">{{tpl:lang Name or nickname}}&nbsp;:</label>
+      <input name="c_name" id="c_name" type="text" size="30" maxlength="255"
+      value="{{tpl:CommentPreviewName encode_html="1"}}" />
+      </p>
+      
+      <p class="field"><label for="c_mail">{{tpl:lang Email address}}&nbsp;:</label>
+      <input name="c_mail" id="c_mail" type="text" size="30" maxlength="255"
+      value="{{tpl:CommentPreviewEmail encode_html="1"}}" />
+      </p>
+      
+      <p class="field"><label for="c_site">{{tpl:lang Website}}
+      ({{tpl:lang optional}})&nbsp;:</label>
+      <input name="c_site" id="c_site" type="text" size="30" maxlength="255"
+      value="{{tpl:CommentPreviewSite encode_html="1"}}" />
+      </p>
+      
+      <p style="display:none"><input name="f_mail" type="text" size="30"
+      maxlength="255" value="" /></p>
+      
+      <p class="field"><label for="c_content">{{tpl:lang Comment}}&nbsp;:</label>
+      <textarea name="c_content" id="c_content" cols="35"
+      rows="7">{{tpl:CommentPreviewContent raw="1" encode_html="1"}}</textarea>
+      </p>
+      <p class="form-help">{{tpl:CommentHelp}}</p>
+      
+      <!-- # --BEHAVIOR-- publicCommentFormAfterContent -->
+      {{tpl:SysBehavior behavior="publicCommentFormAfterContent"}}
+    </fieldset>
+    
+    <fieldset>
+      <p class="buttons"><input type="submit" class="preview" name="preview" value="{{tpl:lang preview}}" />
+      <tpl:IfCommentPreview><input type="submit" class="submit" value="{{tpl:lang send}}" /></tpl:IfCommentPreview></p>
+    </fieldset>
+  </form>
+</tpl:EntryIf>
+  
+<tpl:EntryIf pings_active="1">
+	<div id="ping-url">
+	<h3>{{tpl:lang Add ping}}</h3>
+  <p>{{tpl:lang Trackback URL}}&nbsp;: {{tpl:EntryPingLink}}</p>
+	</div>
+</tpl:EntryIf>
Index: themes/ductile/tpl/category.html
===================================================================
--- themes/ductile/tpl/category.html	(revision 585)
+++ themes/ductile/tpl/category.html	(revision 609)
@@ -72,17 +72,17 @@
     </tpl:CategoryIf>
   
-  <tpl:CategoryFirstChildren>
-    <tpl:CategoriesHeader>
-      <div id="subcategories">
-      <h3>{{tpl:lang Subcategories}}</h3>
-      <ul>
-    </tpl:CategoriesHeader>
-    <li class="post-cat"><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a></li>
-    <tpl:CategoriesFooter>
-      </ul>
-      </div>
-    </tpl:CategoriesFooter>
-  </tpl:CategoryFirstChildren>
-</div>
+		<tpl:CategoryFirstChildren>
+    	<tpl:CategoriesHeader>
+      	<div id="subcategories">
+      	<h3>{{tpl:lang Subcategories}}</h3>
+      	<ul>
+    	</tpl:CategoriesHeader>
+    	<li class="post-cat"><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a></li>
+    	<tpl:CategoriesFooter>
+      	</ul>
+      	</div>
+    	</tpl:CategoriesFooter>
+  	</tpl:CategoryFirstChildren>
+	</div>
   
   {{tpl:ductileNbEntryPerPage}}
Index: themes/ductile/tpl/page.html
===================================================================
--- themes/ductile/tpl/page.html	(revision 609)
+++ themes/ductile/tpl/page.html	(revision 609)
@@ -0,0 +1,63 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{{tpl:BlogLanguage}}" lang="{{tpl:BlogLanguage}}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+  <meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
+  
+  <title>{{tpl:EntryTitle encode_html="1"}} - {{tpl:BlogName encode_html="1"}}</title>
+  <meta name="description" lang="{{tpl:EntryLang}}" content="{{tpl:EntryContent full="1" encode_html="1" remove_html="1" cut_string="180"}}" />
+  <meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="author" content="{{tpl:EntryAuthorCommonName encode_html="1"}}" />
+  <meta name="date" scheme="W3CDTF" content="{{tpl:EntryDate iso8601="1"}}" />
+  
+  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+  <meta name="dc.title" content="{{tpl:EntryTitle encode_html="1"}}" />
+  <meta name="dc.description" lang="{{tpl:EntryLang}}" content="{{tpl:EntryContent full="1" encode_html="1" remove_html="1" cut_string="180"}}" />
+  <meta name="dc.creator" content="{{tpl:EntryAuthorCommonName encode_html="1"}}" />
+  <meta name="dc.language" content="{{tpl:EntryLang}}" />
+  <meta name="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="dc.date" scheme="W3CDTF" content="{{tpl:EntryDate iso8601="1"}}" />
+  <meta name="dc.type" content="text" />
+  <meta name="dc.format" content="text/html" />
+  
+  <link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
+  <link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
+  
+  <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+  
+  {{tpl:include src="_head.html"}}
+  
+  <script type="text/javascript" src="{{tpl:BlogThemeURL}}/../default/js/post.js"></script>
+  <script type="text/javascript">
+  //<![CDATA[
+  var post_remember_str = '{{tpl:lang Remember me on this blog}}';
+  //]]>
+  </script>
+</head>
+
+<body class="dc-page">
+<div id="page">
+{{tpl:EntryPingData}}
+
+{{tpl:include src="_top.html"}}
+
+<div id="wrapper">
+
+<div id="main">
+  <div id="content">
+  
+		{{tpl:include src="_simple-entry.html"}}
+
+  </div>
+</div> <!-- End #main -->
+
+{{tpl:include src="_sidebar.html"}}
+
+</div> <!-- End #wrapper -->
+
+{{tpl:include src="_footer.html"}}
+</div> <!-- End #page -->
+</body>
+</html>
Index: themes/ductile/tpl/post.html
===================================================================
--- themes/ductile/tpl/post.html	(revision 599)
+++ themes/ductile/tpl/post.html	(revision 609)
@@ -55,5 +55,16 @@
   <div id="content">
   
-  <p id="navlinks">
+  <p class="navlinks">
+  <tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
+  title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
+  cut_string="50"}}</a></tpl:EntryPrevious>
+  <tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
+  title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
+  cut_string="50"}} &#187;</a></tpl:EntryNext>
+  </p>
+
+	{{tpl:include src="_simple-entry.html"}}
+
+  <p class="navlinks">
   <tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
   title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
@@ -64,191 +75,8 @@
   </p>
   
-  <div id="p{{tpl:EntryID}}" class="post">
-    <h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
-
-		<div class="post-attr">
-	    <p class="post-info">
-	    	<span class="post-author">{{tpl:lang By}} {{tpl:EntryAuthorLink}}, </span>
-	    	<span class="post-date">{{tpl:EntryDate}}. </span>
-	    	<tpl:EntryIf has_category="1">
-				<tpl:EntryCategoriesBreadcrumb>
-				  <span class="post-breadcrumb-cat"><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a></span> ›
-				</tpl:EntryCategoriesBreadcrumb>
-	    		<span class="post-cat"><a href="{{tpl:EntryCategoryURL}}">{{tpl:EntryCategory encode_html="1"}}</a></span>
-	    	</tpl:EntryIf>
-		    <span class="permalink"><a href="{{tpl:EntryURL}}">{{tpl:lang Permalink}}</a></span>
-	    </p>
-	    
-	    <tpl:EntryTags>
-	    <tpl:TagsHeader><p class="post-tags"></tpl:TagsHeader>
-	    <a href="{{tpl:TagURL}}">{{tpl:TagID}} </a>
-	    <tpl:TagsFooter></p></tpl:TagsFooter>
-	    </tpl:EntryTags>
-		</div>    
-    
-    <!-- # --BEHAVIOR-- publicEntryBeforeContent -->
-    {{tpl:SysBehavior behavior="publicEntryBeforeContent"}}
-    
-    <!-- # Entry with an excerpt -->
-    <tpl:EntryIf extended="1">
-      <div class="post-excerpt">{{tpl:EntryExcerpt}}</div>
-    </tpl:EntryIf>
-    
-    <div class="post-content">{{tpl:EntryContent}}</div>
-    
-    <!-- # --BEHAVIOR-- publicEntryAfterContent -->
-    {{tpl:SysBehavior behavior="publicEntryAfterContent"}}
-  </div>
-  
-  <!-- # Attachments -->
-  <tpl:Attachments>
-    <tpl:AttachmentsHeader>
-      <div id="attachments">
-      <h3>{{tpl:lang Attachments}}</h3>
-      <ul>
-    </tpl:AttachmentsHeader>
-      <li class="{{tpl:AttachmentType}}">
-        <tpl:AttachmentIf is_mp3="1">
-          {{tpl:include src="_mp3_player.html"/}} - 
-        </tpl:AttachmentIf>
-        <tpl:AttachmentIf is_flv="1">
-	     {{tpl:include src="_flv_player.html"/}}
-	   </tpl:AttachmentIf>
-	   <tpl:AttachmentIf is_flv="0">
-	   	<a href="{{tpl:AttachmentURL}}"
-		title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
-        </tpl:AttachmentIf>
-      </li>
-    <tpl:AttachmentsFooter>
-      </ul>
-      </div>
-    </tpl:AttachmentsFooter>
-  </tpl:Attachments>
- 
-  <!-- # Comments -->
-  <tpl:EntryIf show_comments="1">
-    <tpl:Comments with_pings="1">
-    <tpl:CommentsHeader>
-      <div id="comments">
-        <h3>{{tpl:EntryCommentCount count_all="1" one="%s" more="%s"}} {{tpl:lang reactions}}</h3>
-      <ul>
-    </tpl:CommentsHeader>
-			<tpl:CommentIf is_ping="0">
-      <li class="comment {{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}">
-			</tpl:CommentIf>
-			<tpl:CommentIf is_ping="1">
-      <li class="ping {{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}">
-			</tpl:CommentIf>
-				<p id="c{{tpl:CommentID}}" class="comment-info"><a href="#c{{tpl:CommentID}}" class="comment-number">{{tpl:CommentOrderNumber}}.</a>
-					{{tpl:lang From}} {{tpl:CommentAuthorLink}} - {{tpl:CommentDate format="%d"}}/{{tpl:CommentDate format="%m"}}/{{tpl:CommentDate format="%Y"}}, {{tpl:CommentTime}}
-				</p>     
-	      <div class="comment-content">
-		      <!-- # --BEHAVIOR-- publicCommentBeforeContent -->
-		      {{tpl:SysBehavior behavior="publicCommentBeforeContent"}}
-      
-		      {{tpl:CommentContent}}
-      
-		      <!-- # --BEHAVIOR-- publicCommentAfterContent -->
-		      {{tpl:SysBehavior behavior="publicCommentAfterContent"}}
-	      </div>
-			</li>
-    <tpl:CommentsFooter>
-      </ul>
-      </div>
-    </tpl:CommentsFooter>
-    </tpl:Comments>
-  </tpl:EntryIf>
- 
-  <tpl:EntryIf operator="or" comments_active="1" pings_active="1">
-  <p id="comments-feed"><a class="feed" href="{{tpl:BlogFeedURL type="atom"}}/comments/{{tpl:EntryID}}"
-  title="{{tpl:lang This post's comments Atom feed}}">{{tpl:lang This post's comments feed}}</a></p>
-  </tpl:EntryIf>
- 
-  <tpl:EntryIf comments_active="1">    
-    <tpl:SysIfFormError>
-      <p class="error" id="pr">{{tpl:SysFormError}}</p>
-    </tpl:SysIfFormError>
-    
-    <tpl:SysIfCommentPublished>
-      <p class="message" id="pr">{{tpl:lang Your comment has been published.}}</p>
-    </tpl:SysIfCommentPublished>
-    
-    <tpl:SysIfCommentPending>
-      <p class="message" id="pr">{{tpl:lang Your comment has been submitted and
-      will be reviewed for publication.}}</p>
-    </tpl:SysIfCommentPending>
-    
-    <!-- # Comment form -->
-    <form action="{{tpl:EntryURL}}#pr" method="post" id="comment-form">
-      <tpl:IfCommentPreview>
-        <div id="pr">
-          <h3>{{tpl:lang Your comment}}</h3>
-          <dl>
-            <dd class="comment-preview">{{tpl:CommentPreviewContent}}</dd>
-          </dl>
-          <p class="buttons"><input type="submit" class="submit" value="{{tpl:lang send}}" /></p>
-        </div>
-      </tpl:IfCommentPreview>
-      
-      <h3>{{tpl:lang Add a comment}}</h3>
-      <fieldset>
-        <!-- # --BEHAVIOR-- publicCommentFormBeforeContent -->
-        {{tpl:SysBehavior behavior="publicCommentFormBeforeContent"}}
-        
-        <p class="field"><label for="c_name">{{tpl:lang Name or nickname}}&nbsp;:</label>
-        <input name="c_name" id="c_name" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewName encode_html="1"}}" />
-        </p>
-        
-        <p class="field"><label for="c_mail">{{tpl:lang Email address}}&nbsp;:</label>
-        <input name="c_mail" id="c_mail" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewEmail encode_html="1"}}" />
-        </p>
-        
-        <p class="field"><label for="c_site">{{tpl:lang Website}}
-        ({{tpl:lang optional}})&nbsp;:</label>
-        <input name="c_site" id="c_site" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewSite encode_html="1"}}" />
-        </p>
-        
-        <p style="display:none"><input name="f_mail" type="text" size="30"
-        maxlength="255" value="" /></p>
-        
-        <p class="field"><label for="c_content">{{tpl:lang Comment}}&nbsp;:</label>
-        <textarea name="c_content" id="c_content" cols="35"
-        rows="7">{{tpl:CommentPreviewContent raw="1" encode_html="1"}}</textarea>
-        </p>
-        <p class="form-help">{{tpl:CommentHelp}}</p>
-        
-        <!-- # --BEHAVIOR-- publicCommentFormAfterContent -->
-        {{tpl:SysBehavior behavior="publicCommentFormAfterContent"}}
-      </fieldset>
-      
-      <fieldset>
-        <p class="buttons"><input type="submit" class="preview" name="preview" value="{{tpl:lang preview}}" />
-        <tpl:IfCommentPreview><input type="submit" class="submit" value="{{tpl:lang send}}" /></tpl:IfCommentPreview></p>
-      </fieldset>
-    </form>
-  </tpl:EntryIf>
-    
-  <tpl:EntryIf pings_active="1">
-		<div id="ping-url">
-		<h3>{{tpl:lang Add ping}}</h3>
-    <p>{{tpl:lang Trackback URL}}&nbsp;: {{tpl:EntryPingLink}}</p>
-		</div>
-  </tpl:EntryIf>
-  
   </div>
 </div> <!-- End #main -->
 
-<div id="sidebar">
-  <div id="blognav">
-    {{tpl:Widgets type="nav"}}
-  </div> <!-- End #blognav -->
-  
-  <div id="blogextra">
-    {{tpl:Widgets type="extra"}}
-  </div> <!-- End #blogextra -->
-</div>
+{{tpl:include src="_sidebar.html"}}
 
 </div> <!-- End #wrapper -->
Index: themes/ductile/tpl/tag.html
===================================================================
--- themes/ductile/tpl/tag.html	(revision 609)
+++ themes/ductile/tpl/tag.html	(revision 609)
@@ -0,0 +1,89 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{{tpl:BlogLanguage}}" lang="{{tpl:BlogLanguage}}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+  <meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
+  
+  <title>{{tpl:lang Tag}} - {{tpl:TagID}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></title>
+  <meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="date" scheme="W3CDTF" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+  
+  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+  <meta name="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Tag}} - {{tpl:TagID}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+  <meta name="dc.language" content="{{tpl:BlogLanguage}}" />
+  <meta name="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="dc.date" scheme="W3CDTF" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+  <meta name="dc.type" content="text" />
+  <meta name="dc.format" content="text/html" />
+  
+  <link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
+  <link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
+  
+  <tpl:Entries no_content="1">
+    <tpl:EntriesHeader>
+      <tpl:Pagination>
+        <tpl:PaginationIf end="0">
+        <link rel="prev" title="{{tpl:lang previous entries}}" href="{{tpl:PaginationURL offset="1"}}" />
+        </tpl:PaginationIf>
+        
+        <tpl:PaginationIf start="0">
+        <link rel="next" title="{{tpl:lang next entries}}" href="{{tpl:PaginationURL offset="-1"}}" />
+        </tpl:PaginationIf>
+      </tpl:Pagination>
+    </tpl:EntriesHeader>
+    
+    <link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
+  </tpl:Entries>
+  
+  <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:TagFeedURL type="atom"}}" />
+  <link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+  
+  {{tpl:include src="_head.html"}}
+</head>
+
+<body class="dc-tag">
+<div id="page">
+{{tpl:include src="_top.html"}}
+
+<div id="wrapper">
+
+<div id="main">
+  <div id="content">
+  
+  <div id="content-info">
+    <h2>{{tpl:lang Tag}} - {{tpl:TagID}}</h2>
+    
+    <p><a type="application/atom+xml" href="{{tpl:TagFeedURL type="atom"}}"
+    title="{{tpl:lang This tag's entries Atom feed}}" class="feed">{{tpl:lang Entries feed}}</a>
+    
+    <tpl:SysIf operator="or" comments_active="1" pings_active="1">
+    - <a type="application/atom+xml" href="{{tpl:TagFeedURL type="atom"}}/comments"
+    title="{{tpl:lang This tag's comments Atom feed}}" class="feed">{{tpl:lang Comments feed}}</a>
+    </tpl:SysIf>
+    </p>
+  </div>
+  
+  {{tpl:ductileNbEntryPerPage}}
+
+  <tpl:Entries>
+	{{tpl:ductileEntriesList default="short"}}
+   
+    <tpl:EntriesFooter>
+		{{tpl:include src="_pagination.html"}}
+		</tpl:EntriesFooter>
+
+  </tpl:Entries>
+  </div>
+</div> <!-- End #main -->
+
+{{tpl:include src="_head.html"}}
+
+</div> <!-- End #wrapper -->
+
+{{tpl:include src="_footer.html"}}
+</div> <!-- End #page -->
+</body>
+</html>
Index: themes/ductile/tpl/tags.html
===================================================================
--- themes/ductile/tpl/tags.html	(revision 609)
+++ themes/ductile/tpl/tags.html	(revision 609)
@@ -0,0 +1,61 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{{tpl:BlogLanguage}}" lang="{{tpl:BlogLanguage}}">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+  <meta name="ROBOTS" content="{{tpl:BlogMetaRobots robots="NOINDEX"}}" />
+  
+  <title>{{tpl:lang Tags}} - {{tpl:BlogName encode_html="1"}}</title>
+  <meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="date" scheme="W3CDTF" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+  
+  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+  <meta name="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Tags}} - {{tpl:BlogName encode_html="1"}}" />
+  <meta name="dc.language" content="{{tpl:BlogLanguage}}" />
+  <meta name="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+  <meta name="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+  <meta name="dc.date" scheme="W3CDTF" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+  <meta name="dc.type" content="text" />
+  <meta name="dc.format" content="text/html" />
+  
+  <link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
+  <link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
+  
+  <link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+  
+  {{tpl:include src="_head.html"}}
+</head>
+
+<body class="dc-tags">
+<div id="page">
+{{tpl:include src="_top.html"}}
+
+<div id="wrapper">
+
+<div id="main">
+  <div id="content">
+  
+  <div id="content-info">
+    <h2>{{tpl:lang Tags}}</h2>
+  </div>
+  
+  <div class="content-inner">  
+  <ul class="tags">
+    <tpl:Tags>
+      <li><a href="{{tpl:TagURL}}" class="tag{{tpl:TagRoundPercent}}">{{tpl:TagID}}</a></li>
+    </tpl:Tags>
+    </ul>
+  </div>
+  
+  </div>
+</div> <!-- End #main -->
+
+{{tpl:include src="_sidebar.html"}}
+
+</div> <!-- End #wrapper -->
+
+{{tpl:include src="_footer.html"}}
+</div> <!-- End #page -->
+</body>
+</html>