Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1678)
+++ admin/media.php	(revision 1681)
@@ -231,5 +231,4 @@
 $core->auth->user_prefs->addWorkspace('interface');
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
-
 
 if (!isset($core->media)) {
@@ -343,17 +342,18 @@
 if ($core_media_writable)
 {
-	echo '<div class="two-cols">';
+	echo 
+	'<h3>'.sprintf(__('In %s:'),($d == '' ? '“'.__('Media manager').'”' : '“'.$d.'”')).'</h3>'.
+	'<div class="media-action-box">';
 	
 	if ($user_ui_enhanceduploader) {
 		echo
-		'<div class="col enhanced_uploader">';
+		'<div class="enhanced_uploader">';
 	} else {
 		echo
-		'<div class="col">';
-	}
-
-	echo
-	'<div class="fieldset">'.
-	'<h3>'.__('Add files').'</h3>'.
+		'<div>';
+	}
+
+	echo
+	'<h4>'.__('Add files').'</h4>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'<p class="max-sizer form-note info">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>'.
@@ -391,11 +391,12 @@
 	'<p style="clear:both;">'.form::hidden(array('d'),$d).'</p>'.
 	'</form>'.
-	'</div></div>';
-
-	echo
-	'<div class="col">'.
-	'<form class="clear fieldset" action="'.html::escapeURL($page_url).'" method="post">'.
+	'</div>'.
+	'</div>';
+
+	echo
+	'<div class="media-action-box">'.
+	'<form action="'.html::escapeURL($page_url).'" method="post">'.
 	'<div id="new-dir-f">'.
-	'<h3>'.__('New directory').'</h3>'.
+	'<h4>'.__('Create new directory').'</h4>'.
 	$core->formNonce().
 	'<p><label for="newdir">'.__('Directory Name:').'</label>'.
@@ -404,16 +405,17 @@
 	form::hidden(array('d'),html::escapeHTML($d)).'</p>'.
 	'</div>'.
-	'</form></div>';
-	
-	echo '</div>';
-}
+	'</form>'.
+	'</div>';
+	}
 
 # Empty remove form (for javascript actions)
 echo
-'<form id="media-remove-hide" action="'.html::escapeURL($page_url).'" method="post"><div class="clear">'.
+'<form id="media-remove-hide" action="'.html::escapeURL($page_url).'" method="post" class="hidden">'.
+'<div>'.
 form::hidden('rmyes',1).form::hidden('d',html::escapeHTML($d)).
 form::hidden('remove','').
 $core->formNonce().
-'</div></form>';
+'</div>'.
+'</form>';
 
 # Get zip directory
@@ -422,6 +424,10 @@
 {
 	echo
-	'<p class="zip-dl"><a class="submit" href="'.html::escapeURL($page_url).'&amp;zipdl=1">'.
-	__('Download this directory as a zip file').'</a></p>';
+	'<div class="media-action-box">'.
+	'<h4>'.__('Backup content').'</h4>'.
+	'<p>'.__('Compress this directory with its content as a zip file and download it.').'</p>'.
+	'<p><a class="submit" href="'.html::escapeURL($page_url).'&amp;zipdl=1">'.
+	__('Download').'</a></p>'.
+	'</div>';
 }
 
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1678)
+++ admin/style/default.css	(revision 1681)
@@ -797,5 +797,5 @@
 	border: none;
 }
-.media-item {
+.media-item, .media-action-box {
 	position: relative;
 	border: 1px solid #ccc;
@@ -803,9 +803,7 @@
 	padding: 1em;
 	width: 300px;
-	height: 120px;
 	display: inline-block;
 	vertical-align: top;
-}
-div.media-list .media-item {
+	min-height: 120px
 }
 a.media-icon {
@@ -905,4 +903,29 @@
 	margin-left: 0;
 }
+.user-perm {
+	margin-bottom: 2em;
+	background: transparent url(user.png) no-repeat left top;
+}
+.user-perm h4, .user-perm h5, .user-perm p, .user-perm ul, .user-perm li {
+	margin: 0;
+	padding: 0;
+}
+.user-perm h4 {
+	padding-left: 24px;
+}
+.user-perm ul {
+	list-style-type: inside;
+}
+.user-perm li {
+	margin-left: 1em;
+	padding-left: 0;
+}
+p.change-user-perm {
+	margin: .33em 0;
+}
+.user-perm h5 {
+	margin:	.66em 0 0 0;
+}
+
 /* -------------------------------------------------------------------- Themes */
 #themes {
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1678)
+++ locales/fr/main.po	(revision 1681)
@@ -3286,4 +3286,28 @@
 msgstr "Modifier le %1$s de %2$s"
 
-msgid "Backup"
-msgstr "Sauvegarde"
+msgid "Backup content"
+msgstr "Sauvegarder le contenu"
+
+msgid "Create new directory"
+msgstr "Créer un répertoire"
+
+msgid "In %s:"
+msgstr "Dans %s :"
+
+msgid "Download"
+msgstr "Télécharger"
+
+msgid "Compress this directory with its content as a zip file and download it."
+msgstr "Compressez ce dossier et son contenu dans un fichier zip et téléchargez-le."
+
+msgid "Permissions:"
+msgstr "Permissions :"
+
+msgid "Publications on this blog:"
+msgstr "Publications sur ce blog :"
+
+msgid "Blog entries:"
+msgstr "Billets :"
+
+msgid "Pages:"
+msgstr "Pages :"