Index: admin/index.php
===================================================================
--- admin/index.php	(revision 3557)
+++ admin/index.php	(revision 3534)
@@ -71,10 +71,4 @@
 	}
 	$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean');
-}
-if (!$core->auth->user_prefs->dashboard->prefExists('nodcupdate')) {
-	if (!$core->auth->user_prefs->dashboard->prefExists('nodcupdate',true)) {
-		$core->auth->user_prefs->dashboard->put('nodcupdate',false,'boolean','',null,true);
-	}
-	$core->auth->user_prefs->dashboard->put('nodcupdate',false,'boolean');
 }
 
@@ -212,5 +206,5 @@
 
 # Dotclear updates notifications
-if ($core->auth->isSuperAdmin() && !DC_NOT_UPDATE && is_readable(DC_DIGESTS) && !$core->auth->user_prefs->dashboard->nodcupdate)
+if ($core->auth->isSuperAdmin() && !DC_NOT_UPDATE && is_readable(DC_DIGESTS))
 {
 	$updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
@@ -237,6 +231,5 @@
 		if (version_compare(phpversion(),DC_NEXT_REQUIRED_PHP,'<')) {
 			echo '<p class="info">'.
-				sprintf(__('The next versions of Dotclear will not support PHP version < %s, your\'s is currently %s'),
-					DC_NEXT_REQUIRED_PHP,phpversion()).
+				sprintf(__('The next versions of Dotclear will not support PHP version < 5.5, your\'s is currently %s'),phpversion()).
 				'</p>';
 		}
Index: admin/install/check.php
===================================================================
--- admin/install/check.php	(revision 3565)
+++ admin/install/check.php	(revision 3137)
@@ -49,5 +49,5 @@
 	}
 
-	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli' || $con->driver() == 'mysqlimb4')
+	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli')
 	{
 		if (version_compare($con->version(),'4.1','<'))
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 3557)
+++ admin/install/index.php	(revision 3432)
@@ -231,5 +231,4 @@
 		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
 		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('nodcupdate',false,'boolean','',null,true);
 
 		# Add accessibility options
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 3565)
+++ admin/install/wizard.php	(revision 3404)
@@ -201,5 +201,5 @@
 '<form action="wizard.php" method="post">'.
 '<p><label class="required" for="DBDRIVER"><abbr title="'.__('Required field').'">*</abbr> '.__('Database type:').'</label> '.
-    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('MySQLi (full UTF-8)')=>'mysqlimb4',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
+    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
 '<p><label for="DBHOST">'.__('Database Host Name:').'</label> '.
 form::field('DBHOST',30,255,html::escapeHTML($DBHOST)).'</p>'.
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 3501)
+++ admin/media.php	(revision 3569)
@@ -392,5 +392,6 @@
 		'tmp_name' => $_FILES['upfile']['tmp_name'][0],
 		'error' => $_FILES['upfile']['error'][0],
-		'size' => $_FILES['upfile']['size'][0]
+		'size' => $_FILES['upfile']['size'][0],
+		'title' => html::escapeHTML($_FILES['upfile']['name'][0])
 		);
 
@@ -401,5 +402,5 @@
 		try {
 			files::uploadStatus($upfile);
-			$new_file_id = $core->media->uploadFile($upfile['tmp_name'], $upfile['name']);
+			$new_file_id = $core->media->uploadFile($upfile['tmp_name'],$upfile['name'],$upfile['title']);
 
 			$message['files'][] = array(
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 3566)
+++ admin/preferences.php	(revision 3499)
@@ -36,7 +36,4 @@
 $user_dm_quickentry = $core->auth->user_prefs->dashboard->quickentry;
 $user_dm_nofavicons = $core->auth->user_prefs->dashboard->nofavicons;
-if ($core->auth->isSuperAdmin()) {
-	$user_dm_nodcupdate = $core->auth->user_prefs->dashboard->nodcupdate;
-}
 
 $core->auth->user_prefs->addWorkspace('accessibility');
@@ -46,5 +43,4 @@
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 $user_ui_hidemoreinfo = $core->auth->user_prefs->interface->hidemoreinfo;
-$user_ui_hidehelpbutton = $core->auth->user_prefs->interface->hidehelpbutton;
 $user_ui_htmlfontsize = $core->auth->user_prefs->interface->htmlfontsize;
 $user_ui_dynfontsize = $core->auth->user_prefs->interface->dynfontsize;
@@ -246,5 +242,4 @@
 		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
 		$core->auth->user_prefs->interface->put('hidemoreinfo',!empty($_POST['user_ui_hidemoreinfo']),'boolean');
-		$core->auth->user_prefs->interface->put('hidehelpbutton',!empty($_POST['user_ui_hidehelpbutton']),'boolean');
 		$core->auth->user_prefs->interface->put('htmlfontsize',$_POST['user_ui_htmlfontsize'],'string');
 		$core->auth->user_prefs->interface->put('dynfontsize',!empty($_POST['user_ui_dynfontsize']),'boolean');
@@ -305,7 +300,4 @@
 		$core->auth->user_prefs->dashboard->put('quickentry',!empty($_POST['user_dm_quickentry']),'boolean');
 		$core->auth->user_prefs->dashboard->put('nofavicons',empty($_POST['user_dm_nofavicons']),'boolean');
-		if ($core->auth->isSuperAdmin()) {
-			$core->auth->user_prefs->dashboard->put('nodcupdate',!empty($_POST['user_dm_nodcupdate']),'boolean');
-		}
 		$core->auth->user_prefs->interface->put('iconset',(!empty($_POST['user_ui_iconset']) ? $_POST['user_ui_iconset'] : ''));
 		$core->auth->user_prefs->interface->put('nofavmenu',empty($_POST['user_ui_nofavmenu']),'boolean');
@@ -526,8 +518,4 @@
 __('Hide all secondary information and notes').'</label></p>'.
 
-'<p><label for="user_ui_hidehelpbutton" class="classic">'.
-form::checkbox('user_ui_hidehelpbutton',1,$user_ui_hidehelpbutton).' '.
-__('Hide help button').'</label></p>'.
-
 '<p><label for="user_ui_htmlfontsize" class="classic">'.__('Font size:').'</label>'.' '.
 form::combo('user_ui_htmlfontsize',$htmlfontsize_combo,$user_ui_htmlfontsize).'</p>'.
@@ -770,13 +758,6 @@
 '<p><label for="user_dm_quickentry" class="classic">'.
 form::checkbox('user_dm_quickentry',1,$user_dm_quickentry).' '.
-__('Display quick entry form').'</label></p>';
-
-if ($core->auth->isSuperAdmin()) {
-	echo
-	'<p><label for="user_dm_nodcupdate" class="classic">'.
-	form::checkbox('user_dm_nodcupdate',1,$user_dm_nodcupdate).' '.
-	__('Do not display Dotclear updates').'</label></p>';
-}
-
+__('Display quick entry form').'</label><br class="clear" />'. //Opera sucks
+'</p>';
 echo '</div>';
 